.\"
.\" Copyright (c) 1992, 2001, Oracle and/or its affiliates. All rights reserved.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software is furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice (including the next
.\" paragraph) shall be included in all copies or substantial portions of the
.\" Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
.\" LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
.\" FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
.\" DEALINGS IN THE SOFTWARE.
.\"
.TH xmakemap 1 "23 August 2001"
.SH NAME
xmakemap \- make a keyboard mapping to be used as input to xmodmap
.SH SYNOPSIS
.B xmakemap
.SH DESCRIPTION
.PP
.B xmakemap
will produce a keyboard mapping in a form that is suitable
as input to the
.BR xmodmap (1)
command.
.B xmakemap
writes its output to stdout.
Typical usage of
.B xmakemap
is to redirect output from
.B xmakemap
to a file (e.g., $HOME/.xmodmaprc), edit this file to make
necessary customizations, and then run
.B xmodmap
on the file (i.e., $HOME/.xmodmaprc).
.TP
For example:
.IP
.nf
\fLxmakemap > $HOME/.xmodmaprc
[... make necessary customization to $HOME/.xmodmaprc ...]
xmodmap $HOME/.xmodmaprc\fP
.fi
.LP
If you would like your keytable to be customized each time you start
an X session, you should place the appropriate command in the session
startup file for your desktop environment.
.TP
For example:
.IP
.nf
\fLif [ -f $HOME/.xmodmaprc ]; then
    xmodmap $HOME/.xmodmaprc
fi\fP
.LP
.SH NOTES
An X server must be running to use
.BR xmakemap .
.br
Read "Notes" in $HOME/.xmodmaprc.
.SH SEE ALSO
.BR xmodmap (1)
